ServerEvents.recipes(event => {
    //slices
    event.remove({ id: 'minecraft:melon' })
    event.remove({ id: 'farmersdelight:pumpkin_from_slices' })
    event.remove({ id: 'farmersdelight:cake_from_slices' })
    event.remove({ id: 'farmersdelight:apple_pie_from_slices' })
    event.remove({ id: 'farmersdelight:chocolate_pie_from_slices' })
    event.remove({ id: 'farmersdelight:sweet_berry_cheesecake_from_slices' })
    event.remove({ id: 'brewinandchewin:quiche_from_slices' })
    event.remove({ id: 'brewinandchewin:pizza_from_slices' })
    event.remove({ id: 'create_central_kitchen:crafting/honey_cake_from_slices' })
    event.remove({ id: 'create_central_kitchen:crafting/chocolate_cake_from_slices' })
    event.remove({ id: 'create_central_kitchen:crafting/pumpkin_pie_from_slices' })

    //fixes
    //event.remove({ input: 'create:dough' })
    event.replaceInput({ input: 'create:dough' }, 'create:dough', 'farmersdelight:wheat_dough')
    event.remove({ id: 'actuallyadditions:rice_dough_smelting' })
    event.remove({ id: 'minecraft:bread' }) //now requires processing wheat first
    event.remove({ id: 'minecraft:mushroom_stew' })
    event.remove({ id: 'minecraft:beetroot_soup' })
    event.remove({ id: 'minecraft:rabbit_stew_from_brown_mushroom' })
    event.remove({ id: 'minecraft:rabbit_stew_from_red_mushroom' })
    event.remove({ id: 'minecraft:golden_carrot' })
    event.remove({ id: 'minecraft:golden_apple' })
    event.remove({ id: 'minecraft:glistering_melon_slice' })
    event.remove({ id: 'neapolitan:milk/milk_bottles_from_bucket' })
    event.remove({ id: 'neapolitan:milk/milk_bucket_from_bottles' })
    event.remove({ id: 'create:filling/compat/neapolitan/milk_bottle' }) //incorrect bottle amount allowed duping
    event.remove({ id: 'thermal:cheese_wheel' })
    event.remove({ id: 'thermal:spring_salad' })
    event.remove({ id: 'thermal:hearty_stew' })
    event.remove({ id: 'thermal:xp_stew' })
    event.remove({ id: 'thermal:stuffed_pumpkin' })
    event.remove({ id: 'thermal:stuffed_pepper' })
    event.remove({ id: 'thermal:sushi_maki_8' })
    event.remove({ output: 'thermal:carrot_block' })
    event.remove({ output: 'thermal:potato_block' })
    event.remove({ output: 'thermal:beetroot_block' })
    event.remove({ output: 'thermal:flax_block' })
    event.remove({ output: 'thermal:onion_block' })
    event.remove({ output: 'thermal:strawberry_block' })
    event.remove({ output: 'thermal:tomato_block' })
    event.remove({ output: 'thermal:rice_block' })
    event.remove({ output: 'thermal:tomato_sauce' })
    event.remove({ id: 'farmersdelight:cutting/chicken' })
    event.recipes.farmersdelight.cutting(
        "minecraft:chicken",
        "#forge:tools/knives",
        ["2x farmersdelight:chicken_cuts", Item.of("farmersdelight:chicken_cuts").withChance(0.3), "minecraft:bone_meal"]
    );

    event.replaceInput({ input: 'neapolitan:strawberries' }, 'neapolitan:strawberries', '#forge:fruits/strawberry')
    event.remove({ output: 'neapolitan:strawberry_basket' })
    event.shapeless('neapolitan:strawberry_basket', ['9x neapolitan:strawberries'])

    event.remove({ id: 'enderio:cake' })
    event.remove({ id: 'enderio:alloy_smelting/cake_base' })
    event.remove({ id: 'create:crafting/curiosities/cake' })
    event.remove({ id: 'enderio:sag_milling/wheat' })
    event.remove({ output: 'create:dough' })
    event.remove({ output: 'farmersdelight:wheat_dough' })
    event.shapeless('farmersdelight:wheat_dough', [
        '#forge:eggs','#forge:flour','#forge:flour','#forge:flour'
    ])
    event.recipes.create.mixing('farmersdelight:wheat_dough',
        [Fluid.of('minecraft:water', 1000), '3x #forge:flour'])
    event.remove({ id: 'farmersdelight:pie_crust' })
    event.shaped('farmersdelight:pie_crust', [
        'wmw',
        ' w ',
        '   '
    ], { w: '#forge:flour', m: '#forge:milk' })
    event.shapeless('createaddition:cake_base', ['#forge:eggs', '2x minecraft:sugar', 'farmersdelight:wheat_dough'])
    event.remove({ output: 'minecraft:cake' })
    event.shaped('minecraft:cake', [
        ' b ',
        'mmm',
        ' c '
    ], { c: 'createaddition:cake_base_baked', m: '#forge:milk', b: 'minecraft:sweet_berries' })
    event.remove({ id: 'neapolitan:vanilla/vanilla_cake' })
    event.shaped('neapolitan:vanilla_cake', [
        'fff',
        'mmm',
        ' c '
    ], { c: 'createaddition:cake_base_baked', m: '#forge:milk', f: 'neapolitan:dried_vanilla_pods' })
    event.remove({ id: 'neapolitan:chocolate/chocolate_cake' })
    event.shaped('neapolitan:chocolate_cake', [
        'fff',
        'mmm',
        ' c '
    ], { c: 'createaddition:cake_base_baked', m: '#forge:milk', f: 'neapolitan:chocolate_bar' })
    event.remove({ id: 'neapolitan:strawberry/strawberry_cake' })
    event.shaped('neapolitan:strawberry_cake', [
        'fff',
        'mmm',
        ' c '
    ], { c: 'createaddition:cake_base_baked', m: '#forge:milk', f: '#forge:fruits/strawberry' })
    event.remove({ id: 'neapolitan:banana/banana_cake' })
    event.shaped('neapolitan:banana_cake', [
        'fff',
        'mmm',
        ' c '
    ], { c: 'createaddition:cake_base_baked', m: '#forge:milk', f: 'neapolitan:banana' })
    event.remove({ id: 'neapolitan:mint/mint_cake' })
    event.shaped('neapolitan:mint_cake', [
        'fff',
        'mmm',
        ' c '
    ], { c: 'createaddition:cake_base_baked', m: '#forge:milk', f: 'neapolitan:mint_leaves' })
    event.remove({ id: 'neapolitan:adzuki/adzuki_cake' })
    event.shaped('neapolitan:adzuki_cake', [
        'fff',
        'mmm',
        ' c '
    ], { c: 'createaddition:cake_base_baked', m: '#forge:milk', f: 'neapolitan:roasted_adzuki_beans' })
    event.remove({ id: 'thermal:carrot_cake' })
    event.remove({ id: 'thermal:chocolate_cake' })
    event.remove({ id: 'thermal:spice_cake' })
    event.remove({ id: 'thermal:green_bean_pie' })
    //event.shaped('thermal:carrot_cake', [
    //    'fff',
    //    'mmm',
    //    ' c '
    //], { c: 'createaddition:cake_base_baked', m: '#forge:milk', f: 'minecraft:carrot' }) //GIVES NIGHT VISION???
    //event.recipes.create.filling('minecraft:cake',['createaddition:cake_base_baked', Fluid.of('minecraft:milk', 1000)])
    //event.shapeless('farmersdelight:wheat_dough', [
    //    'minecraft:water_bucket', '#forge:flour', '#forge:flour', '#forge:flour'
    //])
    //event.shapeless('farmersdelight:wheat_dough', [
    //    Item.of('ceramicbucket:ceramic_bucket', '{Fluid:{Amount:1000,FluidName:"minecraft:water"}}').weakNBT(), '#forge:flour', '#forge:flour', '#forge:flour'
    //]).replaceIngredient({ item: 'ceramicbucket:ceramic_bucket' }, 'ceramicbucket:ceramic_bucket')
    
    event.remove({ id: 'brewinandchewin:pizza' })
    event.shaped('refurbished_furniture:raw_vegetable_pizza', [
        'ccc',
        'iti',
        'ddd'
    ], { d: 'farmersdelight:wheat_dough', t: 'farmersdelight:tomato_sauce', c: '#brewinandchewin:cheese_wedges', i: '#brewinandchewin:pizza_toppings' })
    event.smoking('brewinandchewin:pizza', 'refurbished_furniture:raw_vegetable_pizza', 0.25, 300)

    event.campfireCooking('kubejs:cooked_pale_cod', 'kubejs:pale_cod', 0.25, 600)
    event.smelting('kubejs:cooked_pale_cod', 'kubejs:pale_cod', 0.25, 200)
    event.smoking('kubejs:cooked_pale_cod', 'kubejs:pale_cod', 0.25, 100)
    event.campfireCooking('kubejs:cooked_pale_salmon', 'kubejs:pale_salmon', 0.5, 600)
    event.smelting('kubejs:cooked_pale_salmon', 'kubejs:pale_salmon', 0.5, 200)
    event.smoking('kubejs:cooked_pale_salmon', 'kubejs:pale_salmon', 0.5, 100)
    event.campfireCooking('miners_delight:baked_squid', 'kubejs:pale_squid', 0.5, 600)
    event.smelting('miners_delight:baked_squid', 'kubejs:pale_squid', 0.5, 200)
    event.smoking('miners_delight:baked_squid', 'kubejs:pale_squid', 0.5, 100)
    event.recipes.farmersdelight.cutting(
        "kubejs:pale_squid",
        "#forge:tools/knives",
        ["minecraft:ink_sac", Item.of("minecraft:ink_sac").withChance(0.25), "miners_delight:tentacles", Item.of("2x miners_delight:tentacles").withChance(0.5)]
    );

    event.remove({ id: 'createlowheated:mixing/farmersdelight/cabbage_rolls' })
    event.recipes.create.mixing('farmersdelight:cabbage_rolls',
        ['#forge:crops/cabbage', '#farmersdelight:cabbage_roll_ingredients'])

    event.remove({ id: 'neapolitan:chocolate/chocolate_bar' })
    event.shapeless('neapolitan:chocolate_bar', ['#forge:milk','minecraft:cocoa_beans','minecraft:sugar'])

    event.remove({ output: 'miners_delight:weird_caviar' })
    event.shapeless('2x miners_delight:weird_caviar', [
        'minecraft:bowl',
        'minecraft:bowl',
        'miners_delight:silverfish_eggs'
    ])

    event.remove({ output: 'brewinandchewin:sweet_berry_jam' })
    event.custom({
        "type": "farmersdelight:cooking",
        "container": {
            "item": "minecraft:glass_bottle"
        },
        "cookingtime": 200,
        "experience": 1.0,
        "ingredients": [
            {
                "tag": "forge:fruits/strawberry"
            },
            {
                "item": "minecraft:sweet_berries"
            },
            {
                "item": "minecraft:sugar"
            }
        ],
        "recipe_book_tab": "misc",
        "result": {
            "count": 1,
            "item": "brewinandchewin:sweet_berry_jam"
        }
    })
})